> [!NOTE]
> Follow the instructions inside the brackets and remove them.
> In the Title field above, Provide a succinct and descriptive title for the pull request, e.g., "Improve caching mechanism for API calls"
>
> Follow the commit guidelines as described at https://github.com/DigiLive/gitChangelog/wiki/1-Introduction

## Description

[Provide a detailed explanation of the changes you have made. Include the reasons behind these changes and any relevant context. Link any related issues.]

## Type of Change

_Put an `x` in all boxes that apply_
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] Hot fix (corrects a major software bug or fault and should released as quickly as possible.)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Refactoring
- [ ] Security patch
- [ ] UI/UX improvement

## Testing

[Detail the testing you have performed to ensure that these changes function as intended. Include information about any added tests.]

## Impact

[Discuss the impact of your changes on the project. This might include effects on performance, new dependencies, or changes in behaviour.]

## Additional Information

[Any additional information that reviewers should be aware of.]<br>
[E.g.: Add (before/after) images when visual changes are applied.]

## Checklist

_Put an `x` in all boxes that apply_
- [ ] My code adheres to the [coding and style guidelines](https://github.com/AalianKhan/mushroom-strategy/blob/main/CONTRIBUTING.md) of the project.
- [ ] I have performed a self-review of my own code.
- [ ] I have commented my code, particularly in hard-to-understand areas.
- [ ] I have made corresponding changes to the documentation.
- [ ] My changes generate no new warnings.
